# Список изменений в версии 5.3.0

## Обновления

### Глобальные
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-62 | Добавлен вывод текста ответа в сообщение об ошибке запроса к API. |


### Модуль decort_bservice

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-434 | В модуле **decort_bservice** в возвращаемом словаре `facts` ключ `groupsIds` заменён на ключ `groups`, который содержит словари с информацией о группах базовой службы. |

## Исправления

### Модуль decort_bservice

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-366 | Работа модуля **decort_bservice** завершалась ошибкой Python при удалении базовой службы. |
| BANS-367 | Работа модуля **decort_bservice** завершалась ошибкой модуля при использовании параметров `rg_name` и `account_name` вместо параметра `rg_id`. |
| BANS-368 | Работа модуля **decort_bservice** завершалась ошибкой Python при повторном запуске создания базовой службы. |
| BANS-369 | Модуль **decort_bservice** не реагировал на режим **check mode** при создании базовой службы. |

### Модуль decort_disk

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-246 | Работа модуля **decort_disk** завершалась ошибкой Python при обработке ошибочных сценариев работы. |
| BANS-248 | Работа модуля **decort_disk** завершалась ошибкой Python при попытке валидировать заданный параметр `limitIO`. |
| BANS-249 | Работа модуля **decort_disk** завершалась ошибкой Python при попытке при попытке выполнить изменения в соответствии с заданным параметром `limitIO`. |
| BANS-250 | Работа модуля **decort_disk** завершалась ошибкой Python при заданном параметре `shareable`. |
| BANS-255 | Модуль **decort_disk** не выполнял безвозвратное удаление кластера из корзины. |
| BANS-260 | Работа модуля **decort_disk** завершалась ошибкой Python при попытке переименовать диск. |
| BANS-264 | Работа модуля **decort_disk** завершалась ошибкой Python при попытке изменить объём диска в режиме **check mode**. |

### Модуль decort_group

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-390 | Работа модуля **decort_group** завершалась ошибкой запроса к API при создании группы БС. |
| BANS-391 | Модуль **decort_group** не использовал заданные в параметре `networks` внешние сети при создании группы БС. |
| BANS-395 | Работа модуля **decort_group** завершалась ошибкой запроса к API при повторном запуске создания группы БС. |
| BANS-396 | Модуль **decort_group** при повторном запуске создания сообщал о том, что были выполнены изменения. |
| BANS-399 | Работа модуля **decort_group** завершалась ошибкой запроса к API при удалении группы БС. |
| BANS-419 | Модуль **decort_group** при повторном запуске изменения параметра networks сообщал о том, что были выполнены изменения. |

### Модуль decort_k8s

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-197 | Работа модуля **decort_k8s** завершалась ошибкой Python если не задан параметр `oidc_cert`. |
| BANS-202 | Работа модуля **decort_k8s** завершалась ошибкой модуля при попытке использовать `rg_name` и `account_name` вместо `rg_id` при создании кластера. |
| BANS-203 | В модуле **decort_k8s** был задан неверный тип данных для параметров `cluster_conf`, `kublet_conf`, `kubeproxy_conf`, `join_conf` |
| BANS-216 | Работа модуля **decort_k8s** завершалась ошибкой модуля при попытке создать кластер в режиме **check mode**. |
| BANS-218 | Модуль **decort_k8s** не выполнял безвозвратное удаление кластера из корзины. |
| BANS-221 | Модуль **decort_k8s** некорректно обрабатывал параметр `vins_id`, что вызывало создание новой внутренней сети при заданном параметре `vins_id`. |
| BANS-225 | Модуль **decort_k8s** не сообщал о выполненных изменениях при выполнении восстановления кластера из корзины. |
| BANS-226 | Модуль **decort_k8s** не выполнял запуск кластера после его восстановления из корзины. |
| BANS-236 | Модуль **decort_k8s** игнорировал заданный параметр `getConfig` при запуске в режиме **check mode**. |
| BANS-243 | Модуль **decort_k8s** выполнял изменения в соответствии с заданным параметром `workers` при запуске в режиме **check mode**. |

### Модуль decort_kvmvm

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-38 | Работа модуля **decort_kvmvm** завершалась ошибкой Python при попытке удалить все существующие правила affinity у ВМ. |
| BANS-39 | Работа модуля **decort_kvmvm** завершалась ошибкой Python при попытке удалить все существующие правила anti affinity у ВМ. |
| BANS-60 | Работа модуля **decort_kvmvm** завершалась ошибкой Python при незаданном параметре `boot_disk` для существующей ВМ. |
| BANS-61 | В модуле **decort_kvmvm** происходила автоматическая конвертация из ГБ в МБ при изменении параметра `ram` на значение менее 512 для существующей ВМ. |
| BANS-445 | В модуле **decort_kvmvm** был задан неверный тип данных для параметра `ci_user_data`. |

### Модуль decort_lb

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-321 | Работа модуля **decort_lb** завершалась ошибкой модуля при использовании параметра `rg_name`. |
| BANS-322 | Работа модуля **decort_lb** завершалась ошибкой Python при использовании параметра `account_id`. |
| BANS-323 | Модуль **decort_lb** игнорировал параметр `vins_name` и создавал балансировщик без подключения к внутренней сети. |
| BANS-324 | Модуль **decort_lb** при повторном запуске создания сообщал о том, что были выполнены изменения. |
| BANS-325 | Модуль **decort_lb** не реагировал на параметр `annotation`. |
| BANS-326 | Модуль **decort_lb** при указании нескольких конфигураций frontend в параметре `frontends` добавлял в балансировщик только первую конфигурацию frontend. |
| BANS-331 | Работа модуля **decort_lb** завершалась ошибкой Python при выполнении создания балансировщика в режиме **check mode**. |
| BANS-334 | Модуль **decort_lb** не выполнял безвозвратное удаление балансировщика из корзины. |
| BANS-338 | Работа модуля **decort_lb** завершалась ошибкой Python при запуске восстановления балансировщика из корзины. |
| BANS-339 | Работа модуля **decort_lb** завершалась ошибкой Python при запуске восстановления балансировщика из корзины. |
| BANS-340 | Модуль **decort_lb** оставлял балансировщик выключенным после его восстановления из корзины. |
| BANS-341 | Модуль **decort_lb** оставлял балансировщик остановленным после его восстановления из корзины. |
| BANS-346 | Модуль **decort_lb** не производил запуск балансировщика при запуске с заданным параметром `state: enabled` или `state: present`. |
| BANS-352 | Работа модуля **decort_lb** завершалась ошибкой Python при удалении конфигурации frontend у балансировщика. |
| BANS-353 | Работа модуля **decort_lb** завершалась ошибкой запроса к API при удалении конфигурации frontend и связанной с ней конфигурации backend у балансировщика |
| BANS-354 | Модуль **decort_lb** не применял значения из подпараметров `check` и `server_settings` при добавлении нового сервера в существующую конфигурацию backend балансировщика. |
| BANS-357 | Модуль **decort_lb** игнорировал режим **check mode** для параметров `backends`, `frontends`, `servers`. |
| BANS-457 | Модуль **decort_lb** возвращал некорректный статус для удалённого балансировщика и указывал некорректный статус балансировщика в сообщении при повторном запуске модуля.

### Модуль decort_osimage

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-295 | Работа модуля **decort_osimage** завершалась ошибкой запроса к API при повторном запуске удаления шаблонного образа. |
| BANS-296 | Работа модуля **decort_osimage** завершалась ошибкой модуля при повторном запуске удаления шаблонного образа. |
| BANS-297 | Работа модуля **decort_osimage** завершалась ошибкой запроса к API при указании параметра `account_name` вместо параметра `account_Id` |
| BANS-299 | Модуль **decort_osimage** при повторном запуске переименования образа сообщал о том, что были выполнены изменения. |
| BANS-300 | Работа модуля **decort_osimage** завершалась ошибкой Python при создании виртуального образа. |
| BANS-301 | Работа модуля **decort_osimage** завершалась ошибкой модуля при повторном запуске удаления виртуального образа. |
| BANS-302 | Работа модуля **decort_osimage** завершалась ошибкой Python с удалением шаблонного образа при попытке удалить виртуальный образ. |
| BANS-303 | Модуль **decort_osimage** не выполнял переименование виртуального образа. |
| BANS-304 | Работа модуля **decort_osimage** завершалась ошибкой Python при повторном запуске удаления виртуального образа. |

### Модуль decort_pfw

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-283 | Работа модуля **decort_pfw** завершалась ошибкой Python при повторном запуске удаления правил. |
| BANS-451 | Модуль **decort_pfw** при запуске удаления удалял все правила переадресации портов на виртуальном маршрутизаторе заданной внутренней сети, вместо удаления правил только для заданной ВМ. |

### Модуль decort_rg

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-58 | Работа модуля **decort_rg** завершалась ошибкой Python при передаче некорректных данных об аккаунте и/или пользователе. |
| BANS-63 | Модуль **decort_rg** выполнял некорректное получение/изменение квоты на объём дисков. |
| BANS-64 | Работа модуля **decort_rg** завершалась ошибкой Python при повторном запуске на создание. |
| BANS-65 | Модуль **decort_rg** не выполнял восстановление РГ из корзины при заданном параметре `state: disabled` или `state: enabled`. |
| BANS-66 | В модуле **decort_rg** не выполнялась проверка наличия параметра `rg_name` при создании РГ. |
| BANS-67 | Работа модуля **decort_rg** завершалась ошибкой запроса к API при создании РГ когда РГ с таким именем есть в корзине. |
| BANS-68 | Модуль **decort_rg** не выполнял восстановление РГ из корзины при указании `rg_name` вместо `rg_id`. |
| BANS-425 | Работа модуля **decort_rg** завершалась ошибкой модуля при создании РГ в режиме **check mode**. |

### Модуль decort_vins

| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-59 | Работа модуля **decort_vins** завершалась ошибкой Python при создании внутренней сети на уровне аккаунта. |